Name: libmsn
Summary: Reusable, open-source and fully documented library for MSN
Version: 4.2.1
Release: %mkrel 2
Url: http://sourceforge.net/projects/libmsn
License: GPLv2+
Group: System/Libraries
Source0: http://downloads.sourceforge.net/libmsn/%{name}-%{version}.tar.xz
Patch0: libmsn-4.2.1-include-unistd.patch
BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
Libmsn is a reusable, open-source, fully documented library for 
connecting to Microsoft's MSN Messenger service. 

#-----------------------------------------------------------------------------

%define msn_major 0.3
%define libmsn %mklibname msn %{msn_major}

%package -n %{libmsn}
Summary: %{name} library
Group: System/Libraries

%description -n %{libmsn}
%{name} library

%files -n %{libmsn}
%{_libdir}/libmsn.so.%{msn_major}*

#-----------------------------------------------------------------------------

%package test
Summary: Connection test utility
Group: Development/Libraries

%description test
Connection test utility.

%files test
%{_bindir}/*

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %{libmsn} = %{version}

%description  devel
Files needed to build applications based on %{name}.

%files devel
%{_libdir}/pkgconfig/*
%{_includedir}/msn
%{_libdir}/libmsn.so

#-----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog
* Sat Jul 22 2017 bb2 <bb2> - 4.2.1-2pclos2017
- rebuild against updates

